List blocks

Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    100

    Integer numbers.

  • cursor
    Type: string
  • type
    Type: string enum
    values
    • user
    • vtc
Responses
  • application/json
Request Example for get/blocks
curl https://api.eventthing.example/v1/blocks \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "blk_8sj2aa",
      "type": "user",
      "user": {
        "id": "usr_18mx2q",
        "display_name": "Bean",
        "truckersmp_id": 7654321
      },
      "vtc": {
        "id": "vtc_8m1p2k",
        "name": "Example Logistics",
        "truckersmp_id": 12345,
        "logo_url": null
      },
      "reason": null,
      "created_at": "2026-08-30T21:47:34.387Z"
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": true
  }
}